Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class BlockView

    java.lang.Object
      |
      +--javax.swing.text.View
            |
            +--javax.swing.text.CompositeView
                  |
                  +--javax.swing.text.BoxView
                        |
                        +--javax.swing.text.html.BlockView

Direct Known Subclasses:
  ListView

public class BlockView
extends BoxView

A view implementation to display a block (as a box) with CSS specifications.

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Constructor Summary
`BlockView(Element elem, int axis)` Creates a new view that represents an html box.

Method Summary
`float` | `getAlignment(int axis)` Gets the alignment.
`AttributeSet` | `getAttributes()` Fetches the attributes to use when rendering.
`int` | `getResizeWeight(int axis)` Gets the resize weight.
`protected StyleSheet` | `getStyleSheet()`
`void` | `paint(java.awt.Graphics g, java.awt.Shape allocation)` Renders using the given rendering surface and area on that surface.
`protected void` | `setPropertiesFromAttributes()` Update any cached values that come from attributes.

Methods inherited from class javax.swing.text.BoxView
`baselineLayout, baselineRequirements, calculateMajorAxisRequirements, calculateMinorAxisRequirements, changedUpdate, childAllocation, flipEastAndWestAtEnds, getHeight, getMaximumSpan, getMinimumSpan, getOffset, getPreferredSpan, getSpan, getViewAtPoint, getWidth, insertUpdate, isAfter, isAllocationValid, isBefore, layout, layoutMajorAxis, layoutMinorAxis, modelToView, paintChild, preferenceChanged, removeUpdate, replace, setSize, viewToModel`

Methods inherited from class javax.swing.text.CompositeView
`append, getBottomInset, getChildAllocation, getInsideAllocation, getLeftInset, getNextEastWestVisualPositionFrom, getNextNorthSouthVisualPositionFrom, getNextVisualPositionFrom, getRightInset, getTopInset, getView, getViewAtPosition, getViewCount, getViewIndexAtPosition, insert, loadChildren, modelToView, removeAll, setInsets, setParagraphInsets, setParent`

Methods inherited from class javax.swing.text.View
`breakView, createFragment, getBreakWeight, getContainer, getDocument, getElement, getEndOffset, getParent, getStartOffset, getViewFactory, isVisible, modelToView, viewToModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockView

    public BlockView(Element elem,
                     int axis)

  Creates a new view that represents an html box. This can be used for a number of elements.
  Parameters:
    `elem` - the element to create a view for
    `axis` - either View.X_AXIS or View.Y_AXIS

Method Detail

### paint

    public void paint(java.awt.Graphics g,
                      java.awt.Shape allocation)

  Renders using the given rendering surface and area on that surface. This is implemented to delegate to the css box painter to paint the border and background prior to the interior.
  Parameters:
    `g` - the rendering surface to use
    `allocation` - the allocated region to render into
  Overrides:
    paint in class BoxView
  See Also:
    `View.paint(java.awt.Graphics, java.awt.Shape)`

### getAttributes

    public AttributeSet getAttributes()

  Fetches the attributes to use when rendering. This is implemented to multiplex the attributes specified in the model with a StyleSheet.
  Overrides:
    getAttributes in class View

### getResizeWeight

    public int getResizeWeight(int axis)

  Gets the resize weight.
  Parameters:
    `axis` - may be either X_AXIS or Y_AXIS
  Returns:
    the weight
  Throws:
    java.lang.IllegalArgumentException - for an invalid axis
  Overrides:
    getResizeWeight in class BoxView

### getAlignment

    public float getAlignment(int axis)

  Gets the alignment.
  Parameters:
    `axis` - may be either X_AXIS or Y_AXIS
  Returns:
    the alignment
  Overrides:
    getAlignment in class BoxView

### setPropertiesFromAttributes

    protected void setPropertiesFromAttributes()

  Update any cached values that come from attributes.

### getStyleSheet

    protected StyleSheet getStyleSheet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.